templates/autoscale-existing-vpc.template.yaml [202:321]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  FgtAsgMaxSizePayg:
    Type: Number
    Default: 6
    MinValue: 0
    ConstraintDescription: Must be a valid number not less than 0.
    Description: >-
      Maximum number of FortiGate instances in the on-demand Auto Scaling
      group. For specific use cases, set to 0 for BYOL-only, >= 2 for
      on-demand-only, and >= 0 for hybrid licensing. This number must be greater
      than or equal to the minimum group size (on-demand).
  FgtAsgHealthCheckGracePeriod:
    Type: Number
    Default: 300
    MinValue: 60
    ConstraintDescription: Must be a valid number not less than 60.
    Description: >-
      Length of time (in seconds) that Auto Scaling waits before checking an
      instance's health status. Minimum is 60.
  FgtAsgScaleInThreshold:
    Type: Number
    Default: 25
    MinValue: 1
    MaxValue: 100
    ConstraintDescription: Must be a valid number between 1 and 100.
    Description: >-
      Threshold (in percentage) for the FortiGate Auto Scaling group to
      scale in (remove) 1 instance. Minimum is 1. Maximum is 100.
  FgtAsgScaleOutThreshold:
    Type: Number
    Default: 80
    MinValue: 1
    MaxValue: 100
    ConstraintDescription: Must be a valid number between 1 and 100.
    Description: >-
      Threshold (in percentage) for the FortiGate Auto Scaling group to
      scale out (add) 1 instance. Minimum is 1. Maximum is 100.
  FortiGatePskSecret:
    Type: String
    NoEcho: true
    MaxLength: '128'
    Description: >-
      Secret preshared key used by the FortiGate instances to securely communicate
      with each other. Must contain numbers and letters and may contain special
      characters. Maximum length is 128.
  FortiGateAdminPort:
    Type: Number
    Default: 8443
    MinValue: 1
    MaxValue: 65535
    ConstraintDescription: Must be a valid port number between 1 and 65535.
    Description: >-
      Port number for FortiGate administration. Minimum is 1. Maximum is
      65535. Do not use the FortiGate reserved ports 443, 541, 514, or 703.
  FortiGateAdminCIDR:
    Type: String
    AllowedPattern: >-
      ^(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]){1}(\/([0-9]|[1-2][0-9]|3[0-2]))?$
    ConstraintDescription: Must be a valid CIDR block format. Do not use 0.0.0.0/0.
    Description: >-
      CIDR block for external administrator-management access. **WARNING!**
      0.0.0.0/0 accepts connections from any IP address. 
      Use a constrained CIDR range to reduce the potential of inbound attacks
      from unknown IP addresses.
  KeyPairName:
    Type: 'AWS::EC2::KeyPair::KeyName'
    ConstraintDescription: Must specify an administrator-access key pair for FortiGate instances.
    Description: Amazon EC2 key pair for administrator access.
  PrimaryElectionTimeout:
    Type: Number
    Default: 300
    MinValue: 90
    MaxValue: 3600
    ConstraintDescription: Must be a valid number between 90 and 3600.
    Description: >-
      Maximum time (in seconds) to wait for the main election to
      complete. Minimum is 30. Maximum is 3600.
  HeartBeatInterval:
    Type: Number
    Default: 30
    MinValue: 30
    MaxValue: 90
    ConstraintDescription: Must be a valid number between 30 and 90.
    Description: >-
      Length of time (in seconds) that a FortiGate instance waits between
      sending heartbeat requests to the FortiGate Auto Scaling handler. Minimum
      is 30. Maximum is 90.
  HeartBeatLossCount:
    Type: Number
    Default: 3
    MinValue: 1
    MaxValue: 65535
    ConstraintDescription: Must be a valid number between 1 and 65535.
    Description: >-
      Number of consecutively lost heartbeats. When this number
      has been reached, the FortiGate is deemed unhealthy, and failover
      activities commence.
  HeartBeatDelayAllowance:
    Type: Number
    Default: 2
    MinValue: 0
    Description: >-
      Maximum amount of time (in seconds) allowed for network latency of the
      FortiGate heartbeat arriving at the FortiGate Auto Scaling handler.
      Minimum is 0.
  LoadBalancingTrafficProtocol:
    Type: String
    Default: HTTPS
    AllowedValues:
      - HTTP
      - HTTPS
      - TCP
    ConstraintDescription: Choose a value from the provided options.
    Description: Protocol used to load balance traffic.
  LoadBalancingTrafficPort:
    Type: Number
    Default: 443
    MinValue: 1
    MaxValue: 65535
    ConstraintDescription: Must be a valid port number between 1 and 65535.
    Description: >-
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



templates/autoscale-new-vpc.template.yaml [212:331]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  FgtAsgMaxSizePayg:
    Type: Number
    Default: 6
    MinValue: 0
    ConstraintDescription: Must be a valid number not less than 0.
    Description: >-
      Maximum number of FortiGate instances in the on-demand Auto Scaling
      group. For specific use cases, set to 0 for BYOL-only, >= 2 for
      on-demand-only, and >= 0 for hybrid licensing. This number must be greater
      than or equal to the minimum group size (on-demand).
  FgtAsgHealthCheckGracePeriod:
    Type: Number
    Default: 300
    MinValue: 60
    ConstraintDescription: Must be a valid number not less than 60.
    Description: >-
      Length of time (in seconds) that Auto Scaling waits before checking an
      instance's health status. Minimum is 60.
  FgtAsgScaleInThreshold:
    Type: Number
    Default: 25
    MinValue: 1
    MaxValue: 100
    ConstraintDescription: Must be a valid number between 1 and 100.
    Description: >-
      Threshold (in percentage) for the FortiGate Auto Scaling group to
      scale in (remove) 1 instance. Minimum is 1. Maximum is 100.
  FgtAsgScaleOutThreshold:
    Type: Number
    Default: 80
    MinValue: 1
    MaxValue: 100
    ConstraintDescription: Must be a valid number between 1 and 100.
    Description: >-
      Threshold (in percentage) for the FortiGate Auto Scaling group to
      scale out (add) 1 instance. Minimum is 1. Maximum is 100.
  FortiGatePskSecret:
    Type: String
    NoEcho: true
    MaxLength: '128'
    Description: >-
      Secret preshared key used by the FortiGate instances to securely communicate
      with each other. Must contain numbers and letters and may contain special
      characters. Maximum length is 128.
  FortiGateAdminPort:
    Type: Number
    Default: 8443
    MinValue: 1
    MaxValue: 65535
    ConstraintDescription: Must be a valid port number between 1 and 65535.
    Description: >-
      Port number for FortiGate administration. Minimum is 1. Maximum is
      65535. Do not use the FortiGate reserved ports 443, 541, 514, or 703.
  FortiGateAdminCIDR:
    Type: String
    AllowedPattern: >-
      ^(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]){1}(\/([0-9]|[1-2][0-9]|3[0-2]))?$
    ConstraintDescription: Must be a valid CIDR block format. Do not use 0.0.0.0/0.
    Description: >-
      CIDR block for external administrator-management access. **WARNING!**
      0.0.0.0/0 accepts connections from any IP address. 
      Use a constrained CIDR range to reduce the potential of inbound attacks
      from unknown IP addresses.
  KeyPairName:
    Type: 'AWS::EC2::KeyPair::KeyName'
    ConstraintDescription: Must specify an administrator-access key pair for FortiGate instances.
    Description: Amazon EC2 key pair for administrator access.
  PrimaryElectionTimeout:
    Type: Number
    Default: 300
    MinValue: 90
    MaxValue: 3600
    ConstraintDescription: Must be a valid number between 90 and 3600.
    Description: >-
      Maximum time (in seconds) to wait for the main election to
      complete. Minimum is 30. Maximum is 3600.
  HeartBeatInterval:
    Type: Number
    Default: 30
    MinValue: 30
    MaxValue: 90
    ConstraintDescription: Must be a valid number between 30 and 90.
    Description: >-
      Length of time (in seconds) that a FortiGate instance waits between
      sending heartbeat requests to the FortiGate Auto Scaling handler. Minimum
      is 30. Maximum is 90.
  HeartBeatLossCount:
    Type: Number
    Default: 3
    MinValue: 1
    MaxValue: 65535
    ConstraintDescription: Must be a valid number between 1 and 65535.
    Description: >-
      Number of consecutively lost heartbeats. When this number
      has been reached, the FortiGate is deemed unhealthy, and failover
      activities commence.
  HeartBeatDelayAllowance:
    Type: Number
    Default: 2
    MinValue: 0
    Description: >-
      Maximum amount of time (in seconds) allowed for network latency of the
      FortiGate heartbeat arriving at the FortiGate Auto Scaling handler.
      Minimum is 0.
  LoadBalancingTrafficProtocol:
    Type: String
    Default: HTTPS
    AllowedValues:
      - HTTP
      - HTTPS
      - TCP
    ConstraintDescription: Choose a value from the provided options.
    Description: Protocol used to load balance traffic.
  LoadBalancingTrafficPort:
    Type: Number
    Default: 443
    MinValue: 1
    MaxValue: 65535
    ConstraintDescription: Must be a valid port number between 1 and 65535.
    Description: >-
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



